Read a product's quality score
curl --request GET \
--url https://wisepim.com/api/public/v1/products/{product_id}/quality \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}/quality"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/products/{product_id}/quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"product_id": 123,
"sku": "<string>",
"scored": true,
"quality_score": 123,
"completeness_score": 123,
"domains": [
{
"domain": "<string>",
"score": 123
}
],
"issues": [
{
"domain": "<string>",
"severity": "<string>",
"field": "<string>",
"message": "<string>",
"code": "<string>",
"impact": 123,
"effort": "<string>"
}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Get product quality
GET /products//quality: the stored quality and completeness scores and open issues of one product. Requires products:read.
GET
/
api
/
public
/
v1
/
products
/
{product_id}
/
quality
Read a product's quality score
curl --request GET \
--url https://wisepim.com/api/public/v1/products/{product_id}/quality \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}/quality"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/products/{product_id}/quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"product_id": 123,
"sku": "<string>",
"scored": true,
"quality_score": 123,
"completeness_score": 123,
"domains": [
{
"domain": "<string>",
"score": 123
}
],
"issues": [
{
"domain": "<string>",
"severity": "<string>",
"field": "<string>",
"message": "<string>",
"code": "<string>",
"impact": 123,
"effort": "<string>"
}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Response
OK

